% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/lodds.R
\name{lodds}
\alias{lodds}
\alias{logit}
\alias{inv_logit}
\title{Logit (log-odds) and inverse-logit function.}
\usage{
logit(mu)

inv_logit(eta)
}
\arguments{
\item{mu}{A numeric object with probabilies, with values in the in
the range [0,1]. Missing values (NAs) are allowed.}

\item{eta}{A numeric object with log-odds values, with values in
the range [-Inf,Inf]. Missing values (NAs) are allowed.}
}
\value{
A numeric object of the same type as mu and eta containing
the logits or inverse logit of the input values.  The logit and
inverse transformation equates to

\deqn{\mbox{logit}(\mu) = \log(\mu/(1-\mu))}{logit(\mu) = log(\mu/(1-\mu))}
\deqn{\mbox{logit}^{-1}(\eta)= \exp(\eta)/(1 + \exp(\eta)).}{logit^-1(\eta) = exp(\eta)/(1 + exp(\eta)).}
}
\description{
Calculates the logit (log-odds) and inverse-logit.
}
\details{
Values of mu equal to 0 or 1 will return -Inf or Inf
respectively.
}
\examples{
logit(0.2)
inv_logit(-1.386)

}
